1

[alpine-aports] [PATCH] testing/iojs: new aport

Bryce Kahle
Details
Message ID
<1425505322-27603-1-git-send-email-bkahle@gmail.com>
Sender timestamp
1425505322
DKIM signature
missing
Download raw message
Patch: +40 -0
https://iojs.org/
JavaScript I/O
---
 testing/iojs/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/iojs/APKBUILD

diff --git a/testing/iojs/APKBUILD b/testing/iojs/APKBUILD
new file mode 100644
index 0000000..872bedc
--- /dev/null
+++ b/testing/iojs/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Bryce Kahle <bkahle@gmail.com>
+# Maintainer:
+pkgname=iojs
+pkgver=1.4.3
+pkgrel=0
+pkgdesc="JavaScript I/O"
+url="https://iojs.org"
+arch="all"
+license="MIT"
+makedepends="$depends_dev gcc make python openssl-dev zlib-dev paxctl"
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://iojs.org/dist/v$pkgver/iojs-v$pkgver.tar.xz"
+
+_builddir="$srcdir"/iojs-v$pkgver
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr \
+		--shared-openssl \
+		--shared-zlib || return 1
+	make || return 1
+}
+
+package() {
+	local d
+
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	paxctl -cm "$pkgdir"/usr/bin/iojs || return 1
+
+	install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+
+	cp -pr "$pkgdir"/usr/lib/node_modules/npm/man "$pkgdir"/usr/share || return 1
+	for d in doc html man; do
+		rm -r "$pkgdir"/usr/lib/node_modules/npm/$d || return 1
+	done
+}
+
+md5sums="fdb832ae27bc119145b0bad685b70788  iojs-v1.4.3.tar.xz"
+sha256sums="ffcd739c59c7d4c1f4cbdbe288b9db2d8a7ea4605540701f28a32757bbe6dd28  iojs-v1.4.3.tar.xz"
+sha512sums="11a2c4e1c802e17cd7c567aee37ce39b866cdf8b3d52374987803845ff98e29b44721720aac058ae97c697a792fac3ddcfc1aff690d91be9bc56b49c74a7d012  iojs-v1.4.3.tar.xz"
-- 
2.2.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Leonardo Arena
Details
Message ID
<1425548526.27979.71.camel@df1844j>
In-Reply-To
<1425505322-27603-1-git-send-email-bkahle@gmail.com> (view parent)
Sender timestamp
1425548526
DKIM signature
missing
Download raw message
On mer, 2015-03-04 at 21:42 +0000, Bryce Kahle wrote:
> https://iojs.org/
> JavaScript I/O
> ---
>  testing/iojs/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 40 insertions(+)
>  create mode 100644 testing/iojs/APKBUILD

Hi,
I applied it and added linux-headers to makedepends since it failed
building with:

../deps/uv/src/unix/linux-core.c:55:30: fatal error: linux/if_packet.h:
No such file or directory

Thanks!

- leo